Name:		perl-MouseX-ConfigFromFile
Summary:	An abstract Mouse role for setting attributes from a configfile
Version:	0.05
Release:	1%{?dist}
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/MouseX-ConfigFromFile/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MASAKI/MouseX-ConfigFromFile-%{version}.tar.gz
BuildArch:	noarch
# Module Build
# note that unbundling inc::Module::Install etc. would mean that a large number of
# developer modules being required to build this simple package
BuildRequires:	perl
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Config)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(Pod::Parser)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Mouse) >= 0.39
BuildRequires:	perl(Mouse::Role)
BuildRequires:	perl(MouseX::Types::Path::Class) >= 0.06
# Test Suite
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::More) >= 0.94
BuildRequires:	perl(Test::UseAllModules)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Mouse) >= 0.39

%description
This is an abstract role that provides an alternate constructor for creating
objects using parameters passed in from a configuration file. The actual
implementation of reading the configuration file is left to concrete subroles.

It declares an attribute configfile and a class method new_with_config, and
requires that concrete roles derived from it implement the class method
get_config_from_file.

Attributes specified directly as arguments to new_with_config supercede those
in the configfile.

%prep
%setup -q -n MouseX-ConfigFromFile-%{version}

# Unbundle Test::UseAllModules
rm -rf inc/Test/
perl -ni -e 'print unless /^inc\/Test\/UseAllModules.pm/;' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/MouseX/
%{_mandir}/man3/MouseX::ConfigFromFile.3*

%changelog
* Thu Apr 17 2014 Paul Howarth <paul@city-fan.org> - 0.05-1
- Initial RPM version
